Retrieve a receipt on a card account activity
curl --request GET \
--url https://api.global.direct.reap.global/2026-11-05/cards/activities/{activityId}/receipts/{receiptId} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.global.direct.reap.global/2026-11-05/cards/activities/{activityId}/receipts/{receiptId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.global.direct.reap.global/2026-11-05/cards/activities/{activityId}/receipts/{receiptId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "0a0a0a0a-0000-4000-8000-000000000001",
"activityId": "txn_00000000-0000-0000-0000-00000000f001",
"fileName": "invoice-INV-20431.pdf",
"contentType": "application/pdf",
"createdAt": "2026-10-29T01:02:03.000Z",
"downloadUrl": "https://reap-receipts.s3.amazonaws.com/example/invoice-INV-20431.pdf?X-Amz-Expires=3600&X-Amz-Signature=example",
"downloadUrlExpiresAt": "2026-10-29T02:02:03.000Z"
}Card account
Retrieve a receipt on a card account activity
Required API-key scope: card_activities:read.
Returns one receipt with a downloadUrl for its file.
- The link works for 1 hour, without an API key.
- Don’t log, store or share it. Call this endpoint again when you need a new link.
- The link has no file name. Save the file with the receipt’s
fileName. - JPEG and PNG receipts may be compressed after upload, so the downloaded image can be smaller than the file you uploaded.
- A receipt that isn’t on this card transaction returns
RECEIPT_NOT_FOUND.
GET
/
2026-11-05
/
cards
/
activities
/
{activityId}
/
receipts
/
{receiptId}
Retrieve a receipt on a card account activity
curl --request GET \
--url https://api.global.direct.reap.global/2026-11-05/cards/activities/{activityId}/receipts/{receiptId} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.global.direct.reap.global/2026-11-05/cards/activities/{activityId}/receipts/{receiptId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.global.direct.reap.global/2026-11-05/cards/activities/{activityId}/receipts/{receiptId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "0a0a0a0a-0000-4000-8000-000000000001",
"activityId": "txn_00000000-0000-0000-0000-00000000f001",
"fileName": "invoice-INV-20431.pdf",
"contentType": "application/pdf",
"createdAt": "2026-10-29T01:02:03.000Z",
"downloadUrl": "https://reap-receipts.s3.amazonaws.com/example/invoice-INV-20431.pdf?X-Amz-Expires=3600&X-Amz-Signature=example",
"downloadUrlExpiresAt": "2026-10-29T02:02:03.000Z"
}Path Parameters
The activity's id, as returned by List card account activities.
Required string length:
1 - 255The receipt id from List receipts on a card account activity.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
When the receipt was added to the card transaction, in UTC.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$When downloadUrl stops working, in UTC. It lasts 1 hour.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$